<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2006 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.8
  $Source:
  $Revision:
  $Author:
  $Date:
**********************************************/
// ------------------------------------------------------------------------- //
// This coppermine theme 'singapore' is based on the looks and graphics used //
// in the default theme of the open source gallery software 'Singapore' that //
// is being released under GNU GPL and that can be found at                  //
// http://singapore.sourceforge.net/ .                                       //
// Most graphics used in this theme have been created by Tamlyn Rhodes, the  //
// creator of the 'Singapore' software.                                      //
// ------------------------------------------------------------------------- //
// Update for CPG1.4.x compatibility by bmossavari at gmail dot com
define('THEME_HAS_FILM_STRIP_GRAPHIC', 1);
define('THEME_HAS_NO_SYS_MENU_BUTTONS', 1);
define('THEME_HAS_NO_SUB_MENU_BUTTONS', 1);

// HTML template for main menu
$template_sys_menu = <<<EOT
                <span class="topmenu">
<!-- BEGIN home -->
<a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a>::
<!-- END home -->
<!-- BEGIN my_gallery -->
<a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a> ::
<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->
<a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a>  ::
<!-- END allow_memberlist -->
<!-- BEGIN my_profile -->
<a href="{MY_PROF_TGT}">{MY_PROF_LNK}</a> ::
<!-- END my_profile -->
<!-- BEGIN faq -->
<a href="{FAQ_TGT}" title="{FAQ_TITLE}">{FAQ_LNK}</a> ::
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
<a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a> ::
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
<a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a> ::
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
                        <a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a> ::
<!-- END upload_pic -->
<!-- BEGIN register -->
                        <a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a> ::
<!-- END register -->
<!-- BEGIN login -->
                        <a href="{LOGIN_TGT}">{LOGIN_LNK}</a>
<!-- END login -->
<!-- BEGIN logout -->
                        <a href="{LOGOUT_TGT}">{LOGOUT_LNK}</a>
<!-- END logout -->
                </span>
EOT;

$template_sub_menu = <<<EOT
<span class="topmenu">
<!-- BEGIN custom_link -->
<a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a>::
<!-- END custom_link -->
<!-- BEGIN album_list -->
<a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a> ::
<!-- END album_list -->
<!-- BEGIN lastup -->
<a href="{LASTUP_TGT}">{LASTUP_LNK}</a> ::
<!-- END lastup -->
<!-- BEGIN lastcom -->
<a href="{LASTCOM_TGT}">{LASTCOM_LNK}</a> ::
<!-- END lastcom -->
<!-- BEGIN topn -->
<a href="{TOPN_TGT}">{TOPN_LNK}</a> ::
<!-- END topn -->
<!-- BEGIN toprated -->
<a href="{TOPRATED_TGT}">{TOPRATED_LNK}</a> ::
<!-- END toprated -->
<!-- BEGIN favpics -->
<a href="{FAV_TGT}">{FAV_LNK}</a> ::
<!-- END favpics -->
<!-- BEGIN search -->
<a href="{SEARCH_TGT}">{SEARCH_LNK}</a>
<!-- END search -->
EOT;

// HTML template for title row of the thumbnail view (album title + sort options)
$template_thumb_view_title_row = <<<EOT

                        <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                                <td width="100%" class="statlink"><h2>{ALBUM_NAME}</h2></td>
                                <td><img src="themes/singapore/images/spacer.gif" width="1"></td>
                                <td class="sortorder_cell">
                                        <table height="100%" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                <td class="sortorder_options" align="center"><a href="thumbnails.php?album={AID}&page={PAGE}&sort=ta" title="{SORT_TA}"><img src="images/ascending.gif" width="9" height="9" border="0" alt="" title="{SORT_TA}" /></a>{TITLE}<a href="thumbnails.php?album={AID}&page={PAGE}&sort=td" title="{SORT_TD}"><img src="images/descending.gif" width="9" height="9" border="0" alt="" title="{SORT_TD}" /></a></td>
                                <td class="sortorder_options" align="center">|</td>
                                                <td class="sortorder_options" align="center"><a href="thumbnails.php?album={AID}&page={PAGE}&sort=na" title="{SORT_NA}"><img src="images/ascending.gif" width="9" height="9" border="0" alt="" title="{SORT_NA}" /></a>{NAME}<a href="thumbnails.php?album={AID}&page={PAGE}&sort=nd" title="{SORT_ND}"><img src="images/descending.gif" width="9" height="9" border="0" alt="" title="{SORT_ND}" /></a></td>
                                                <td class="sortorder_options" align="center">|</td>
                                                <td class="sortorder_options" align="center"><a href="thumbnails.php?album={AID}&page={PAGE}&sort=da" title="{SORT_DA}"><img src="images/ascending.gif" width="9" height="9" border="0" alt="" title="{SORT_DA}" /></a>{DATE}<a href="thumbnails.php?album={AID}&page={PAGE}&sort=dd" title="{SORT_DD}"><img src="images/descending.gif" width="9" height="9" border="0" alt="" title="{SORT_DD}" /></a></td>
                                        </tr>
                                        </table>
                                </td>
                        </tr>
                        </table>

EOT;

// HTML template for thumbnails display
$template_thumbnail_view = <<<EOT

<!-- BEGIN header -->
        <tr>
<!-- END header -->
<!-- BEGIN thumb_cell -->
        <td valign="top" class="thumbnails" width ="{CELL_WIDTH}" align="center">
                <table class="sgThumbnail">
                        <tr>
                                <td align="center">
                                        <table class="sgThumbnailContent">
<tr>
       <td border="0"><img src="themes/singapore/images/slide-tl.gif" alt="" border="0"></td>
       <td border="0"></td>
       <td border="0"><img src="themes/singapore/images/slide-tr.gif" alt="" border="0"></td>
</tr>
<tr>
       <td border="0" ></td>
       <td border="0" align="center"><a href="{LINK_TGT}">{THUMB}<br /></a>
           {CAPTION}
                                        {ADMIN_MENU}
           </td>
       <td border="0"></td>
</tr>
<tr>
       <td border="0"><img src="themes/singapore/images/slide-bl.gif" alt="" border="0"></td>
       <td border="0"></td>
       <td border="0"><img src="themes/singapore/images/slide-br.gif" alt="" border="0"></td>
</tr>
</table>

                                </td>
                        </tr>
                </table>
        </td>
<!-- END thumb_cell -->
<!-- BEGIN empty_cell -->
                <td valign="top" class="thumbnails" align="center">&nbsp;</td>
<!-- END empty_cell -->
<!-- BEGIN row_separator -->
        </tr>
        <tr>
<!-- END row_separator -->
<!-- BEGIN footer -->
        </tr>
<!-- END footer -->
<!-- BEGIN tabs -->
        <tr>
                <td colspan="{THUMB_COLS}" style="padding: 0px;">
                        <table width="100%" cellspacing="0" cellpadding="0">
                                <tr>
                                        {TABS}
                                </tr>
                        </table>
                </td>
        </tr>
<!-- END tabs -->
<!-- BEGIN spacer -->
        <img src="themes/singapore/images/spacer.gif" width="1" height="17" /><br />
<!-- END spacer -->

EOT;
// HTML template for the image navigation bar
$template_img_navbar = <<<EOT
                    <div align="center" class="navmenu">
                        <a href="{THUMB_TGT}" class="navmenu_pic" title="{THUMB_TITLE}"><img src="images/folder.gif" width="16" height="16" align="absmiddle" border="0" alt="{THUMB_TITLE}" /></a>

                        <a href="javascript:;" onClick="blocking('picinfo','yes', 'block'); return false;" title="{PIC_INFO_TITLE}"><img src="images/info.gif" width="16" height="16" border="0" align="absmiddle" alt="{PIC_INFO_TITLE}" /></a>

                        <a href="{SLIDESHOW_TGT}" title="{SLIDESHOW_TITLE}"><img src="images/slideshow.gif" width="16" height="16" border="0" align="absmiddle" alt="{SLIDESHOW_TITLE}" /></a>

                        {PIC_POS}
<!-- BEGIN report_file_button -->
                        <a href="{REPORT_TGT}" class="navmenu_pic" title="{REPORT_TITLE}"><img src="{LOCATION}images/report.gif" border="0" align="middle" alt="{REPORT_TITLE}" /></a>
<!-- END report_file_button -->
<!-- BEGIN ecard_button -->
                        <a href="{ECARD_TGT}" title="{ECARD_TITLE}"><img src="images/ecard.gif" width="16" height="16" border="0" align="absmiddle" alt="{ECARD_TITLE}"></a>
<!-- END ecard_button -->
                        <a href="{PREV_TGT}" class="navmenu_pic" title="{PREV_TITLE}"><img src="images/prev.gif" width="16" height="16" border="0" align="absmiddle" alt="{PREV_TITLE}" /></a>

                        <a href="{NEXT_TGT}" class="navmenu_pic" title="{NEXT_TITLE}"><img src="images/next.gif" width="16" height="16" border="0" align="absmiddle" alt="{NEXT_TITLE}" /></a>
                     </div>

EOT;
// HTML template for intermediate image display
$template_display_media = <<<EOT
        <tr>
                <td align="center" class="tableb" height="{CELL_HEIGHT}" style="white-space: nowrap; padding: 0px;">
<!-- BEGIN img_desc -->
                        <div class="sgGallery"><table class="sgGallery" width="50%"><tr><td><table cellpadding="0" cellspacing="0" class="img_caption_table">


<!-- BEGIN title -->
                                <tr>
                                        <th>
                                                {TITLE}
                                        </th>
                                </tr>
<!-- END title -->
<!-- BEGIN caption -->
                                <tr>
                                        <td>
                                                {CAPTION}
                                        </td>
                                </tr>
<!-- END caption -->
                        </table></td></tr></table></div>
<!-- END img_desc -->
                                                {IMAGE}
                                                {ADMIN_MENU}
                </td>
        </tr>

EOT;
function theme_display_image($nav_menu, $picture, $votes, $pic_info, $comments, $film_strip)
{
    global $HTTP_COOKIE_VARS, $CONFIG;

    echo $nav_menu;

    startshadowtable();
    starttable('nowidth');
    echo $picture;
    endtable();
    endshadowtable();
    if ($CONFIG['display_film_strip'] == 1) {
        echo $film_strip;
    }
    starttable();
    echo $votes;
    endtable();



    $picinfo = isset($HTTP_COOKIE_VARS['picinfo']) ? $HTTP_COOKIE_VARS['picinfo'] : ($CONFIG['display_pic_info'] ? 'block' : 'none');
    echo "<div id=\"picinfo\" style=\"display: $picinfo;\">\n";
    starttable();
    echo $pic_info;
    endtable();
    echo "</div>\n";

    starttable();
    echo $comments;
    endtable();
}

function startshadowtable($width = '-1', $title = '', $title_colspan = '1')
{
    global $CONFIG;

    if ($width == '-1') $width = $CONFIG['picture_table_width'];
    if ($width == '100%') $width = $CONFIG['main_table_width'];
    echo <<<EOT

<!-- Start shadow table -->
<div class="sgShadow"><table class="sgShadow" cellspacing="0" border="0">
  <tr>
    <td><img src="themes/singapore/images/shadow-tabl.gif" alt="" /></td>
    <td class="tabm">
        <table class="sgShadowTab" cellspacing="0" border="0"><tr><td>
        $title

        </td><td><img src="themes/singapore/images/shadow-tabr.gif" alt="" /></td></tr></table>
    </td>
    <td class="tabr"><img src="themes/singapore/images/blank.gif" alt="" /></td>
  </tr>
  <tr>
    <td class="tl"><img src="themes/singapore/images/blank.gif" width="32" height="16" alt="" /></td>
    <td class="tm"><img src="themes/singapore/images/blank.gif" alt="" /></td>
    <td class="tr"><img src="themes/singapore/images/blank.gif" alt="" /></td>
  </tr>
  <tr>
    <td class="ml"><img src="themes/singapore/images/blank.gif" alt="" /></td>
    <td class="mm">
EOT;

}
function endshadowtable()
{
    echo <<<EOT
    </td>
    <td class="mr"><img src="themes/singapore/images/blank.gif" alt="" /></td>
  </tr>
  <tr>
    <td class="bl"><img src="themes/singapore/images/blank.gif" alt="" /></td>
    <td class="bm"><img src="themes/singapore/images/blank.gif" alt="" /></td>
    <td class="br"><img src="themes/singapore/images/blank.gif" width="32" height="32" alt="" /></td>
  </tr>
</table></div>
<!-- End shadow table -->

EOT;
}
function theme_display_thumbnails(&$thumb_list, $nbThumb, $album_name, $aid, $cat, $page, $total_pages, $sort_options, $display_tabs, $mode = 'thumb')
{
    global $CONFIG;
    global $template_thumb_view_title_row,$template_fav_thumb_view_title_row, $lang_thumb_view, $template_tab_display, $template_thumbnail_view;

    static $header = '';
    static $thumb_cell = '';
    static $empty_cell = '';
    static $row_separator = '';
    static $footer = '';
    static $tabs = '';
    static $spacer = '';

    if ($header == '') {
        $thumb_cell = template_extract_block($template_thumbnail_view, 'thumb_cell');
        $tabs = template_extract_block($template_thumbnail_view, 'tabs');
        $header = template_extract_block($template_thumbnail_view, 'header');
        $empty_cell = template_extract_block($template_thumbnail_view, 'empty_cell');
        $row_separator = template_extract_block($template_thumbnail_view, 'row_separator');
        $footer = template_extract_block($template_thumbnail_view, 'footer');
        $spacer = template_extract_block($template_thumbnail_view, 'spacer');
    }

    $cat_link = is_numeric($aid) ? '' : '&cat=' . $cat;

    $theme_thumb_tab_tmpl = $template_tab_display;

    if ($mode == 'thumb') {
        $theme_thumb_tab_tmpl['left_text'] = strtr($theme_thumb_tab_tmpl['left_text'], array('{LEFT_TEXT}' => $lang_thumb_view['pic_on_page']));
        $theme_thumb_tab_tmpl['inactive_tab'] = strtr($theme_thumb_tab_tmpl['inactive_tab'], array('{LINK}' => 'thumbnails.php?album=' . $aid . $cat_link . '&page=%d'));
    } else {
        $theme_thumb_tab_tmpl['left_text'] = strtr($theme_thumb_tab_tmpl['left_text'], array('{LEFT_TEXT}' => $lang_thumb_view['user_on_page']));
        $theme_thumb_tab_tmpl['inactive_tab'] = strtr($theme_thumb_tab_tmpl['inactive_tab'], array('{LINK}' => 'index.php?cat=' . $cat . '&page=%d'));
    }

    $thumbcols = $CONFIG['thumbcols'];
    $cell_width = ceil(100 / $CONFIG['thumbcols']) . '%';

    $tabs_html = $display_tabs ? create_tabs($nbThumb, $page, $total_pages, $theme_thumb_tab_tmpl) : '';
    // The sort order options are not available for meta albums
    if ($sort_options) {
        $param = array('{ALBUM_NAME}' => $album_name,
            '{AID}' => $aid,
            '{PAGE}' => $page,
            '{NAME}' => $lang_thumb_view['name'],
            '{TITLE}' => $lang_thumb_view['title'],
            '{DATE}' => $lang_thumb_view['date'],
            '{SORT_TA}' => $lang_thumb_view['sort_ta'],
            '{SORT_TD}' => $lang_thumb_view['sort_td'],
            '{SORT_NA}' => $lang_thumb_view['sort_na'],
            '{SORT_ND}' => $lang_thumb_view['sort_nd'],
            '{SORT_DA}' => $lang_thumb_view['sort_da'],
            '{SORT_DD}' => $lang_thumb_view['sort_dd'],
            );
        $title = template_eval($template_thumb_view_title_row, $param);
    } else if ($aid == 'favpics' && $CONFIG['enable_zipdownload'] == 1) { //Lots of stuff can be added here later
       $param = array('{ALBUM_NAME}' => $album_name,
                             '{DOWNLOAD_ZIP}'=>$lang_thumb_view['download_zip']
                               );
       $title = template_eval($template_fav_thumb_view_title_row, $param);
    }else{
        $title = $album_name;
    }

    startshadowtable();
    if ($mode == 'thumb') {
        //echo "test";
        starttable('100%', $title, $thumbcols);
    } else {
        starttable('100%');
    }

    echo $header;

    $i = 0;
    foreach($thumb_list as $thumb) {
        $i++;
        if ($mode == 'thumb') {
            if ($aid == 'lastalb') {
                $params = array('{CELL_WIDTH}' => $cell_width,
                    '{LINK_TGT}' => "thumbnails.php?album={$thumb['aid']}",
                    '{THUMB}' => $thumb['image'],
                    '{CAPTION}' => $thumb['caption'],
                    '{ADMIN_MENU}' => $thumb['admin_menu']
                    );
            } else {
                $params = array('{CELL_WIDTH}' => $cell_width,
                    '{LINK_TGT}' => "displayimage.php?album=$aid$cat_link&pos={$thumb['pos']}",
                    '{THUMB}' => $thumb['image'],
                    '{CAPTION}' => $thumb['caption'],
                    '{ADMIN_MENU}' => $thumb['admin_menu']
                    );
            }
        } else {
            $params = array('{CELL_WIDTH}' => $cell_width,
                '{LINK_TGT}' => "index.php?cat={$thumb['cat']}",
                '{THUMB}' => $thumb['image'],
                '{CAPTION}' => $thumb['caption'],
                '{ADMIN_MENU}' => ''
                );
        }
        echo template_eval($thumb_cell, $params);

        if ((($i % $thumbcols) == 0) && ($i < count($thumb_list))) {
            echo $row_separator;
        }
    }
    for (;($i % $thumbcols); $i++) {
        echo $empty_cell;
    }
    echo $footer;

    if ($display_tabs) {
        $params = array('{THUMB_COLS}' => $thumbcols,
            '{TABS}' => $tabs_html
            );
        echo template_eval($tabs, $params);
    }

    endtable();
    endshadowtable();
    echo $spacer;
}

function theme_slideshow()
{
    global $CONFIG, $lang_display_image_php, $template_display_media;

    pageheader($lang_display_image_php['slideshow']);

    include "include/slideshow.inc.php";

    $start_slideshow = '<script language="JavaScript" type="text/JavaScript">runSlideShow()</script>';
    template_extract_block($template_display_media, 'img_desc');

    $params = array('{CELL_HEIGHT}' => $CONFIG['picture_width'] + 100,
        '{IMAGE}' => '<img src="' . $start_img . '" name="SlideShow" class="image" />' . $start_slideshow . '<br />',
        '{ADMIN_MENU}' => '',
        );

    startshadowtable();   
    starttable();
	echo template_eval($template_display_media, $params);
    endtable();
    endshadowtable();
    starttable();

    echo <<<EOT
        <tr>
                <td align="center" class="navmenu" style="white-space: nowrap;">
                        <a href="javascript:endSlideShow()" class="navmenu">{$lang_display_image_php['stop_slideshow']}</a>
                </td>
        </tr>

EOT;
    endtable();
    pagefooter();
}

?>